stats_raw=`curl --connect-timeout 2 --max-time $API_TIMEOUT  --silent --noproxy '*' http://127.0.0.1:$MINER_API_PORT`

if [[ $? -eq 0  && -n $stats_raw ]]; then
  local algo=$CMINER_ALGO
  local hs=`echo "$stats_raw" | jq -r '.hs'`
  [[ $hs == "" ]] && hs=[]
  local temp=`echo "$stats_raw" | jq -r '.temp'`
  [[ $temp == "" ]] && temp=[]
  local fan=`echo "$stats_raw" | jq -r '.fan'`
  [[ $fan == "" ]] && fan=[]
  local bus_numbers=`echo "$stats_raw" | jq -r '.bus_numbers'`
  [[ $bus_numbers == "" ]] && bus_numbers=[]
  khs=`echo "$stats_raw" | jq -r '.total_hs'`
  stats=$(jq -c \
             --arg algo "$algo" \
             --argjson hs "$hs" --argjson bus_numbers "$bus_numbers" \
             --argjson temp "$temp" --argjson fan "$fan" \
             '{$hs, hs_units, $temp, $fan, uptime, ver, ar, $bus_numbers,
               $algo, total_khs:.total_hs}' <<< "$stats_raw")
else
  echo -e "${YELLOW}Failed to read $miner stats_raw from localhost:${MINER_API_PORT}${NOCOLOR}"
  khs=0
  stats={}
fi
